public class StaticMethodExamples {    
    public static void main(String[] args) {
        int num1 = 4, num2 = 8;
        
        int sum = sum2(num1, num2);
        System.out.printf("%d + %d = %d%n%n", num1, num2, sum);
        
        displayTable(); 
    }
    
    private static int sum2(int x, int y){
    	return x + y;
    }
    
    private static void displayTable(){
    	System.out.printf("%6s%10s%16s%n%n", "Number", "Square", "Square Root");
    	for(int k = 1; k <= 10; k++)
    		System.out.printf("%6d%10d%16.2f%n", k, k*k, Math.sqrt(k));
    }
}
