//The following shows how the constructors and the overloaded methods of Employee class may be used:
import java.util.Scanner;
import java.util.InputMismatchException;
public class EmployeeDriver
{
	public static void main(String[] args){
		Scanner  scanner = new Scanner(System.in);
		int number;
		String name;
		double salary;
		System.out.print("Enter Name for Employee 1: ");
		name = scanner.nextLine();

		System.out.print("Enter ID Number for Employee 1: ");
		number = scanner.nextInt();

      try{
		   System.out.print("Enter Salary for Employee 1 (>= 3000): ");
		   salary = scanner.nextDouble();

		   scanner.nextLine();   // skip new line character
		   //any of the following constructors can be used to create the object
		   Employee emp1 = new Employee (number, name, salary);
         // or                Employee emp1 = new Employee (name, number, salary);
		   System.out.print("\nEnter Name for Employee 2: ");
		   name = scanner.nextLine();

		   System.out.print("Enter ID Number for Employee 2: ");
		   number = scanner.nextInt();

		   //if we do not know the salary, we can use one of the following constructors
		   Employee emp2 = new Employee (number, name);
         //or	            Employee emp2 = new Employee (name, number);

		   emp2.setSalary(emp1.getSalary()); // set the salary of employee2 to be equal to that of employee1

		   emp1.deductions(50.0);
		   emp2.deductions(60.0, 40.0);
		   System.out.println(emp1);
		   System.out.println(emp2);
       }
       catch(InputMismatchException | IllegalArgumentException e){
         System.out.println(e);
       }
	}
}